# GESVideoTestSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESSource
                        ╰──GESVideoSource
                            ╰──GESVideoTestSource

### Children Properties

#### `alpha`

alpha of the stream

Value type: gdouble

#### `background-color`

Background color to use (big-endian ARGB)

Value type: guint

See background-color

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: guint

See foreground-color

#### `height`

height of the source

Value type: gint

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors

See pattern

#### `posx`

x position of the stream

Value type: gint

#### `posy`

y position of the stream

Value type: gint

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video-direction

#### `width`

width of the source

Value type: gint

### Class structure

#### GESVideoTestSourceClass

##### Fields

`parent_class` (GESVideoSourceClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.VideoTestSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.VideoTestSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.VideoTestSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.VideoTestSource

### Children Properties

#### `alpha`

alpha of the stream

Value type: Number

#### `background-color`

Background color to use (big-endian ARGB)

Value type: Number

See background-color (not introspectable)

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: Number

See foreground-color (not introspectable)

#### `height`

height of the source

Value type: Number

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors

See pattern (not introspectable)

#### `posx`

x position of the stream

Value type: Number

#### `posy`

y position of the stream

Value type: Number

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video-direction

#### `width`

width of the source

Value type: Number

## GES.VideoTestSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.VideoTestSource

### Children Properties

#### `alpha`

alpha of the stream

Value type: float

#### `background-color`

Background color to use (big-endian ARGB)

Value type: int

See background-color (not introspectable)

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: int

See foreground-color (not introspectable)

#### `height`

height of the source

Value type: int

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors

See pattern (not introspectable)

#### `posx`

x position of the stream

Value type: int

#### `posy`

y position of the stream

Value type: int

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video_direction

#### `width`

width of the source

Value type: int

### Methods

#### ges_video_test_source_get_pattern

    GESVideoTestPattern
    ges_video_test_source_get_pattern (GESVideoTestSource * source)

Get the video pattern used by the source.

Parameters:

`source` –

a GESVideoTestPattern

Returns –

The video pattern used by the source.

#### GES.VideoTestSource.prototype.get_pattern

    function GES.VideoTestSource.prototype.get_pattern(): {
        // javascript wrapper for 'ges_video_test_source_get_pattern'
    }

Get the video pattern used by the source.

Parameters:

`source` (GES.VideoTestSource) –

a GES.VideoTestPattern

Returns (GES.VideoTestPattern) –

The video pattern used by the source.

#### GES.VideoTestSource.get_pattern

    def GES.VideoTestSource.get_pattern (self):
        #python wrapper for 'ges_video_test_source_get_pattern'

Get the video pattern used by the source.

Parameters:

`source` (GES.VideoTestSource) –

a GES.VideoTestPattern

Returns (GES.VideoTestPattern) –

The video pattern used by the source.

#### ges_video_test_source_set_pattern

    ges_video_test_source_set_pattern (GESVideoTestSource * self,
                                       GESVideoTestPattern pattern)

Sets the source to use the given pattern.

Parameters:

`self` –

a GESVideoTestSource

`pattern` –

a GESVideoTestPattern

#### GES.VideoTestSource.prototype.set_pattern

    function GES.VideoTestSource.prototype.set_pattern(pattern: GES.VideoTestPattern): {
        // javascript wrapper for 'ges_video_test_source_set_pattern'
    }

Sets the source to use the given pattern.

Parameters:

`self` (GES.VideoTestSource) –

a GES.VideoTestSource

`pattern` (GES.VideoTestPattern) –

a GES.VideoTestPattern

#### GES.VideoTestSource.set_pattern

    def GES.VideoTestSource.set_pattern (self, pattern):
        #python wrapper for 'ges_video_test_source_set_pattern'

Sets the source to use the given pattern.

Parameters:

`self` (GES.VideoTestSource) –

a GES.VideoTestSource

`pattern` (GES.VideoTestPattern) –

a GES.VideoTestPattern

## Constants

### GES_TYPE_VIDEO_TEST_SOURCE

    #define GES_TYPE_VIDEO_TEST_SOURCE ges_video_test_source_get_type()

The results of the search are